# For Dotfiles
dotfls="${HOME}/dotfiles"
dotlib="${dotfls}/lib"
dotcfg="${dotfls}/cfg"

# Paths
path+=(${dotfls}/bin)
path+=(${HOME}/.gem/ruby/2.4.0/bin)
path+=(${HOME}/basher/bin)
path+=(/opt/android-sdk/build-tools/26.0.1)
path+=(/home/linuxbrew/.linuxbrew/bin)
manpath+=(/home/linuxbrew/.linuxbrew/share/man)
infopath+=(/home/linuxbrew/.linuxbrew/share/info)

# Editor Setting
EDITOR='nano'

# Completions Paths
fpath+=(${dotlib}/completions/src)
fpath+=(${dotlib}/local)

# Actually export
export dotlib dotcfg PATH MANPATH INFOPATH EDITOR

# Reload all Prompts
autoload -U promptinit && promptinit
